com.sun.syndication.io.impl

## Class Atom03Generator

- java.lang.Object
- - com.sun.syndication.io.impl.BaseWireFeedGenerator
  - - com.sun.syndication.io.impl.Atom03Generator

All Implemented Interfaces:
  WireFeedGenerator

    public class Atom03Generator
    extends BaseWireFeedGenerator

Feed Generator for Atom

### Constructor Summary

Constructors
`` `Atom03Generator()`
`protected` `Atom03Generator(java.lang.String type, java.lang.String version)`

### Method Summary

Methods
`protected void` `addEntries(Feed feed, org.jdom.Element parent)`
`protected void` `addEntry(Entry entry, org.jdom.Element parent)`
`protected void` `addFeed(Feed feed, org.jdom.Element parent)`
`protected void` `checkEntriesConstraints(org.jdom.Element parent)`
`protected void` `checkEntryConstraints(org.jdom.Element eEntry)`
`protected void` `checkFeedHeaderConstraints(org.jdom.Element eFeed)`
`protected org.jdom.Document` `createDocument(org.jdom.Element root)`
`protected org.jdom.Element` `createRootElement(Feed feed)`
`protected void` `fillContentElement(org.jdom.Element contentElement, Content content)`
`protected void` `fillPersonElement(org.jdom.Element element, Person person)`
`org.jdom.Document` `generate(WireFeed wFeed)` Creates an XML document (JDOM) for the given feed bean.
`protected org.jdom.Element` `generateGeneratorElement(Generator generator)`
`protected org.jdom.Element` `generateLinkElement(Link link)`
`protected org.jdom.Element` `generateSimpleElement(java.lang.String name, java.lang.String value)`
`protected org.jdom.Element` `generateTagLineElement(Content tagline)`
`protected org.jdom.Namespace` `getFeedNamespace()`
`protected java.lang.String` `getVersion()`
`protected void` `populateEntry(Entry entry, org.jdom.Element eEntry)`
`protected void` `populateFeed(Feed feed, org.jdom.Element parent)`
`protected void` `populateFeedHeader(Feed feed, org.jdom.Element eFeed)`

### Methods inherited from class com.sun.syndication.io.impl.BaseWireFeedGenerator

`generateFeedModules, generateForeignMarkup, generateItemModules, generateModuleNamespaceDefs, generatePersonModules, getType, purgeUnusedNamespaceDeclarations`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Atom03Generator

    public Atom03Generator()

#### Atom03Generator

    protected Atom03Generator(java.lang.String type,
                   java.lang.String version)

### Method Detail

#### getVersion

    protected java.lang.String getVersion()

#### getFeedNamespace

    protected org.jdom.Namespace getFeedNamespace()

#### generate

    public org.jdom.Document generate(WireFeed wFeed)
                               throws FeedException

Description copied from interface: `WireFeedGenerator`
Creates an XML document (JDOM) for the given feed bean.

Parameters:
  `wFeed` - the feed bean to generate the XML document from.
Returns:
  the generated XML document (JDOM).
Throws:
  `FeedException` - thrown if the XML Document could not be created.

#### createDocument

    protected org.jdom.Document createDocument(org.jdom.Element root)

#### createRootElement

    protected org.jdom.Element createRootElement(Feed feed)

#### populateFeed

    protected void populateFeed(Feed feed,
                    org.jdom.Element parent)
                         throws FeedException

Throws:
  `FeedException`

#### addFeed

    protected void addFeed(Feed feed,
               org.jdom.Element parent)
                    throws FeedException

Throws:
  `FeedException`

#### addEntries

    protected void addEntries(Feed feed,
                  org.jdom.Element parent)
                       throws FeedException

Throws:
  `FeedException`

#### addEntry

    protected void addEntry(Entry entry,
                org.jdom.Element parent)
                     throws FeedException

Throws:
  `FeedException`

#### populateFeedHeader

    protected void populateFeedHeader(Feed feed,
                          org.jdom.Element eFeed)
                               throws FeedException

Throws:
  `FeedException`

#### populateEntry

    protected void populateEntry(Entry entry,
                     org.jdom.Element eEntry)
                          throws FeedException

Throws:
  `FeedException`

#### checkFeedHeaderConstraints

    protected void checkFeedHeaderConstraints(org.jdom.Element eFeed)
                                       throws FeedException

Throws:
  `FeedException`

#### checkEntriesConstraints

    protected void checkEntriesConstraints(org.jdom.Element parent)
                                    throws FeedException

Throws:
  `FeedException`

#### checkEntryConstraints

    protected void checkEntryConstraints(org.jdom.Element eEntry)
                                  throws FeedException

Throws:
  `FeedException`

#### generateLinkElement

    protected org.jdom.Element generateLinkElement(Link link)

#### fillPersonElement

    protected void fillPersonElement(org.jdom.Element element,
                         Person person)

#### generateTagLineElement

    protected org.jdom.Element generateTagLineElement(Content tagline)

#### fillContentElement

    protected void fillContentElement(org.jdom.Element contentElement,
                          Content content)
                               throws FeedException

Throws:
  `FeedException`

#### generateGeneratorElement

    protected org.jdom.Element generateGeneratorElement(Generator generator)

#### generateSimpleElement

    protected org.jdom.Element generateSimpleElement(java.lang.String name,
                                         java.lang.String value)